/**
 * Test case for define.
 * Runs with mocha.
 */
"use strict";

const define = require('../lib/define.js'),
    mkdirp = require('mkdirp'),
    assert = require('assert');

describe('define', () => {

    let tmpDir = `${__dirname}/../tmp`;

    function noop() {
    }

    before((done) => {
        mkdirp.sync(tmpDir);
        done();
    });

    after((done) => {
        done();
    });

    it('Define', (done) => {
        let task = define(
            `${__dirname}/../doc/mocks/mock-entry01.js`,
            `${__dirname}/../doc/mocks/mock-entry02.js`,
            {
                outfile: `${tmpDir}/testing-bundle.js`
            }
        );
        assert.ok(task);
        let context = {
            verbose: false,
            logger: {
                info: noop,
                debug: noop,
                trace: noop
            }
        };
        task(context, (err) => {
            assert.ifError(err);
            done();
        });
    });
});

